VismaBouwsoftAPICalls.v1_POST_PurchaseInvoiceProjects Method
v1_POST_PurchaseInvoiceProjects() as String

This API call is used to add a(n) PurchaseInvoiceProject

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /PurchaseInvoiceProjects
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
purchaseinvoice_id 1 tpLong 0 Yes Yes No
purchaseinvoice_nr 1 tpLong 0 No No No
purchaseinvoice_nr_supplier 2 tpString 100 No No No
address_supplier_id 1 tpLong 0 No No No
address_supplier_name 2 tpString 150 No No No
project_id 1 tpLong 0 No Yes No
project_pnr 1 tpLong 0 No Yes No
project_unr 1 tpLong 0 No No No
project_name 2 tpString 100 No No No
project_yourreference 2 tpString 50 No No No
actualcostitem_id 1 tpLong 0 No Yes No
actualcostitem_nr 2 tpString 100 No No No
actualcostitem_name 2 tpString 0 No No No
job_id 1 tpLong 0 No Yes No
job_code 2 tpString 10 No Yes No
job_name 2 tpString 100 No No No
amount 8 tpCurrency 0 No Yes No
type 2 tpString 0 No No No
type_localized 2 tpString 0 No No No
type_id 1 tpLong 0 No Yes No
note 2 tpString 100 No Yes No
purchaseinvoice_linkedinvoice_id 1 tpLong 0 No Yes No
purchaseinvoice_linkedinvoice_nr 1 tpLong 0 No No No
purchaseinvoice_linkedinvoice_nr_supplier 2 tpString 100 No No No
ts_lastupdate 3 tpDate 0 No No No

/PurchaseInvoiceProjects

API Path: /PurchaseInvoiceProjects/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PurchaseInvoiceProjects

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PbffWxfDbmzSftlbtfzRqkDVfGGGfGObflAkzOfOUfmGtAVAbl

Query Parameters :
ParameterName: columns, ParameterValue: purchaseinvoice_id=937,project_pnr=2021060078,amount=80.55

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 541,
    "purchaseinvoice_id": 937,
    "purchaseinvoice_nr": 202000142,
    "purchaseinvoice_nr_supplier": "",
    "address_supplier_id": 329299,
    "address_supplier_name": "DirkAPISupp",
    "project_id": 3320,
    "project_pnr": 2021060078,
    "project_unr": 1275,
    "project_name": "Schilderen van API blokjes",
    "project_yourreference": "",
    "actualcostitem_id": 2865,
    "actualcostitem_nr": "",
    "actualcostitem_name": "Volledig Project",
    "job_id": 0,
    "job_code": "",
    "job_name": "",
    "amount": 80.549999999999997,
    "type": "subcontractor",
    "type_localized": "Sub-contractor",
    "type_id": 0,
    "note": "",
    "purchaseinvoice_linkedinvoice_id": 0,
    "purchaseinvoice_linkedinvoice_nr": 0,
    "purchaseinvoice_linkedinvoice_nr_supplier": "",
    "ts_lastupdate": "2026–05–07 09:20:12"
  }
]
}